#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()

{
    int a1,a2,i;
    char c1[50001],c2[50001],c3[50001];
    scanf("%s%s",&c1,&c2);
    scanf("%d",&a1);
    scanf("%d",&a2);
    if(abs(a1 - a2) > 1)
        printf("nemoguce");
    else if(a1 == a2)
    {
        for(i=0;i<a1;i++)
        {
            strcat(c3, c2);
            strcat(c3, c1);
        }
    }
    else if(a1 > a2)
        {
        for(i=0;i<a1-1;i++)
        {
            strcat(c3, c1);
            strcat(c3, c2);
        }
        strcat(c3, c1);
        }
    else
        {
        for(i=0;i<a2-1;i++)
        {
            strcat(c3, c2);
            strcat(c3, c1);
        }
        strcat(c3, c2);
        }
    printf("%s",c3);
    return 0;
}